Nestopia Core API: Nes::Api::Cartridge::Profile::Board

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Class Nes::Api::Cartridge::Profile::Board

class Nes::Api::Cartridge::Profile::Board

Board context.

Inner Classes, Typedefs, and Enums
`struct` | `Nes::Api::Cartridge::Profile::Board::Chip` Custom chip.
`typedef` | `Nes::Api::Cartridge::Profile::Board::Chips` Custom chips.
`typedef` | `Nes::Api::Cartridge::Profile::Board::Chr` CHR-ROM chips.
`struct` | `Nes::Api::Cartridge::Profile::Board::Pin` Pin context.
`typedef` | `Nes::Api::Cartridge::Profile::Board::Pins` Pins.
`typedef` | `Nes::Api::Cartridge::Profile::Board::Prg` PRG-ROM chips.
`struct` | `Nes::Api::Cartridge::Profile::Board::Ram` RAM chip.
`typedef` | `Nes::Api::Cartridge::Profile::Board::Rams` RAM chips.
`struct` | `Nes::Api::Cartridge::Profile::Board::Rom` ROM chip.
`typedef` | `Nes::Api::Cartridge::Profile::Board::Roms` ROM chips.
`struct` | `Nes::Api::Cartridge::Profile::Board::Sample` Analogue sound sample context.
`typedef` | `Nes::Api::Cartridge::Profile::Board::Samples` Analogue sound samples.
`typedef` | `Nes::Api::Cartridge::Profile::Board::Vram` V-RAM chips.
`typedef` | `Nes::Api::Cartridge::Profile::Board::Wram` W-RAM chips.

Field Summary
`Nes::Api::Cartridge::Profile::Board::Chips` | `chips` Custom chips.
`Nes::Api::Cartridge::Profile::Board::Chr` | `chr` CHR-ROM.
`std::wstring` | `cic` CIC type.
`uint` | `mapper` Mapper ID.
`std::wstring` | `pcb` Board PCB name.
`Nes::Api::Cartridge::Profile::Board::Prg` | `prg` PRG-ROM.
`uint` | `solderPads` Solder pads.
`std::wstring` | `type` Board type.
`Nes::Api::Cartridge::Profile::Board::Vram` | `vram` V-RAM.
`Nes::Api::Cartridge::Profile::Board::Wram` | `wram` W-RAM.

Constructor Summary
`Board()`
`~Board()`

Method Summary
`dword` | `GetChr() const` Returns total size of CHR-ROM.
`dword` | `GetPrg() const` Returns total size of PRG-ROM.
`dword` | `GetVram() const` Returns total size of V-RAM.
`dword` | `GetWram() const` Returns total size of W-RAM.
`bool` | `HasBattery() const` Returns battery status.
`bool` | `HasMmcBattery() const` Returns custom chip battery status.
`bool` | `HasWramBattery() const` Returns W-RAM battery status.

Field Detail

### chips

    public Nes::Api::Cartridge::Profile::Board::Chips chips;

  Custom chips.

### chr

    public Nes::Api::Cartridge::Profile::Board::Chr chr;

  CHR-ROM.

### cic

    public std::wstring cic;

  CIC type.

### mapper

    public uint mapper;

  Mapper ID.

### pcb

    public std::wstring pcb;

  Board PCB name.

### prg

    public Nes::Api::Cartridge::Profile::Board::Prg prg;

  PRG-ROM.

### solderPads

    public uint solderPads;

  Solder pads.

### type

    public std::wstring type;

  Board type.

### vram

    public Nes::Api::Cartridge::Profile::Board::Vram vram;

  V-RAM.

### wram

    public Nes::Api::Cartridge::Profile::Board::Wram wram;

  W-RAM.

Constructor Detail

### Board

    public Board() throw();

### ~Board

    public ~Board() throw();

Method Detail

### GetChr

    public dword GetChr() const throw();

  Returns total size of CHR-ROM.

Returns:
  size

### GetPrg

    public dword GetPrg() const throw();

  Returns total size of PRG-ROM.

Returns:
  size

### GetVram

    public dword GetVram() const throw();

  Returns total size of V-RAM.

Returns:
  size

### GetWram

    public dword GetWram() const throw();

  Returns total size of W-RAM.

Returns:
  size

### HasBattery

    public bool HasBattery() const throw();

  Returns battery status.

Returns:
  true if a battery is present

### HasMmcBattery

    public bool HasMmcBattery() const throw();

  Returns custom chip battery status.

Returns:
  true if a battery is present and connected to a custom chip

### HasWramBattery

    public bool HasWramBattery() const throw();

  Returns W-RAM battery status.

Returns:
  true if a battery is present and connected to W-RAM

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD